Skip to main content
List Workflow Runs
This endpoint allows you to fetch the runs of a given workflow. This endpoint returns a paginated response. You can use the nextPageToken to fetch subsequent pages. Each workflow run object contains a summary of the run. Full details are available by calling the Get WorkflowRun endpoint.

Query Parameters

string
Filters workflow runs by their status.Possible values include:
  • PENDING
  • PROCESSING
  • NEEDS_REVIEW
  • REJECTED
  • PROCESSED
  • FAILED
string
Filters workflow runs by the workflow ID.
string
Filters workflow runs by the batch ID. This is useful for fetching all runs for a given batch created via the Batch Run Workflow endpoint.
default:"updatedAt"
Sorts the workflow runs by the given field.Possible values include:
  • updatedAt
  • createdAt
default:"desc"
Sorts the workflow runs in ascending or descending order.Possible values include:
  • asc: sort in ascending order
  • desc: sort in descending order
The token used to fetch the page of results from a previous request.Note: if parameters other than nextPageToken change in subsequent requests, you are likely to receive incomplete results.
default:"10"
The maximum number of results to return per page.You are not guaranteed to receive this many results per page, but you will not receive more than this.
  • Max: 1000
  • Min: 1

Response

boolean
A true or false value indicating whether the request was successful or not.
array
An array of WorkflowRun summary objects.
string
The token used to fetch the next page of results.If there are no more pages, the token will not be present.The general pattern for collecting all results is to keep calling the endpoint with the nextPageToken and the same parameters, until the token is not present, for example:

Error Responses

boolean
Will be false if the request failed.
string
A description of the error that occurred.

Possible Errors

  • 404 Not Found: If the specified workflow does not exist.
  • 400 Bad Request: If invalid query parameters are provided.